Package org.pgpainless.decryption_verification

# Class HardwareSecurity.HardwareSecurityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.pgpainless.decryption_verification.HardwareSecurity.HardwareSecurityException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `HardwareSecurity`

public static class HardwareSecurity.HardwareSecurityException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HardwareSecurityException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HardwareSecurityException

public HardwareSecurityException()